Page MenuHomePhabricator

Create an API module to allow apps to set global preference
Closed, ResolvedPublic5 Estimated Story Points

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:55 AM
bzimport set Reference to bz60856.
bzimport added a subscriber: Unknown Object (MLST).
Legoktm created this task.Feb 5 2014, 2:36 AM
Restricted Application added a project: Community-Tech. · View Herald TranscriptFeb 21 2018, 10:51 PM

@Samwilson Do we need to do anything with this task? Herald says hi.

It probably wouldn't be too hard to add, but without a use case in mind I think it can be postponed.

OK, thank you Sam. We'll keep it on the GlobalPrefs backlog for now.

I think the biggest use case for this is to support setting the edit tabs preference across all wikis at once from the VisualEditor popup.

kaldari updated the task description. (Show Details)Jun 6 2018, 5:17 PM
Niharika updated the task description. (Show Details)
Niharika removed a subscriber: wikibugs-l-list.
Niharika renamed this task from API module for GlobalPreferences extension to Create an API module to allow apps to set global preference.Jun 14 2018, 7:56 PM
MaxSem claimed this task.Jun 21 2018, 10:00 PM
MaxSem edited projects, added Community-Tech-Sprint; removed Community-Tech.

Change 442218 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/core@master] Refactor ApiOptions for reusability

https://gerrit.wikimedia.org/r/442218

Change 442219 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/extensions/GlobalPreferences@master] Add an API module to set global preferences

https://gerrit.wikimedia.org/r/442219

Niharika set the point value for this task to 5.Jun 26 2018, 11:17 PM

Change 442218 merged by jenkins-bot:
[mediawiki/core@master] Refactor ApiOptions for reusability

https://gerrit.wikimedia.org/r/442218

Change 442219 merged by jenkins-bot:
[mediawiki/extensions/GlobalPreferences@master] Add an API module to set global preferences

https://gerrit.wikimedia.org/r/442219

Niharika closed this task as Resolved.Jul 6 2018, 4:46 PM
Niharika moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.